//
// Centova Reseller API - https://centova.com
// Copyright 2021, Centova Technologies Inc.
//
// This library is a Go implementation of a Centova Technologies Reseller API client.
//

package resellerapi

// APIRequestError represents an error response from the reseller API.
type APIRequestError struct {
	// the HTTP response code
	code     int
	// the API response
	response *APIResponse
	// the response message
	message  string
}

// Error fulfills the error interface.
func (a APIRequestError) Error() string {
	return a.message
}

// Code returns the HTTP response code for the error.
func (a APIRequestError) Code() int {
	return a.code
}

// Response returns the API response.
func (a APIRequestError) Response() *APIResponse {
	return a.response
}
