//
// Centova Reseller API - https://centova.com
// Copyright 2021, Centova Technologies Inc.
//
// This library is a Go implementation of a Centova Technologies Reseller API client.
//

package response

// BoolInt is a boolean value represented in an API response by a 1 or a 0.
type BoolInt bool

func (x *BoolInt) UnmarshalJSON(b []byte) error {
	*x = len(b) > 0 && b[0] == '1'
	return nil
}

func (x *BoolInt) MarshalJSON() ([]byte, error) {
	v := []byte{'0'}
	if *x {
		v[0] = '1'
	}
	return v, nil
}
