//
// Centova Reseller API - https://centova.com
// Copyright 2021, Centova Technologies Inc.
//
// This library is a Go implementation of a Centova Technologies Reseller API client.
//

package response

// Order represents a response from an `order` API call.
type Order struct {
	// the ID number for the new license
	LicenseID int `json:"license_id"`
	// the invoice ID for this order
	InvoiceID int `json:"invoice_id"`
	// the recurring amount (in USD) to be charged
	AmountRecurring CurrencyInCents `json:"amount_recurring"`
	// the amount (in USD) of the first invoice
	AmountInvoice CurrencyInCents `json:"amount_invoice"`
}
