//
// Centova Reseller API - https://centova.com
// Copyright 2021, Centova Technologies Inc.
//
// This library is a Go implementation of a Centova Technologies Reseller API client.
//

package response

// Package represents a package available for order
type Package struct {
	// package ID number
	ID int `json:"package_id"`
	// name of the package
	Name string `json:"package_name"`
	// monthly price if leased, or the owned price if owned
	PriceMonthly CurrencyInCents `json:"price_monthly"`
	// quarterly price, if available
	PriceQuarterly CurrencyInCents `json:"price_quarterly"`
	// biannual price, if available
	PriceBiannually CurrencyInCents `json:"price_biannually"`
	// annual price, if available
	PriceAnnually CurrencyInCents `json:"price_annually"`
	// setup fee, if any
	PriceSetup CurrencyInCents `json:"price_setup"`
	// true if leased (with recurring payments), false if owned
	Recurring BoolInt `json:"recurring"`
}

// PackageList represents an API response from the `packagelist` API call.
type PackageList struct {
	// the available packages
	Packages []Package `json:"packages"`
}
