<?php
/*
 * Centova Cast - https://centova.com
 * Copyright 2008-2021, Centova Technologies Inc.
 * 
 *****************************************************************************
 *
 * This script demonstrates the use of the Centova Technologies Reseller API
 * system through its simple HTTP API.  This script itself doesn't do much
 * other than illustrate how easy it is to use the HTTP API.
 *
 * For a description of the URLs you can use and the responses they return,
 * see README.md in the same directory as this file.
 *
 */

// put your centova.com username and API key here
$username = 'you';
$api_key = 'secret';

// set this to true to use the test server (see readme.txt for details), or
// false to use the live server for real transactions
$testmode = true;


// all URLs point to https://centova.com
$base_url = 'https://centova.com';

// select the live or test API
$live_base_uri = '/cp/api/v1/reseller/';
$test_base_uri = '/cp/api/v1/resellertest/';
$base_uri = $testmode ? $test_base_uri : $live_base_uri;

// add a command (in this case, the `balance` command) to get the endpoint
$endpoint_uri = $base_uri . 'balance';

// add our username and the current time as a UNIX timestamp
$uri = $endpoint_uri . '?username=' . $username . '&time=' . time();

// create our token and use it to create our signature
$token = hash('sha256',$username . $api_key);
$signature = hash('sha256',$token . $uri);

// build the complete, signed URL
$url = $base_url . $uri . '&sig=' . $signature;

// submit a GET request
$response = file_get_contents($url);

if ($response) {
	$payload = json_decode($response);
	
	echo "Balance is USD \$" . $payload->data->balance . "\n\n";

	echo "Complete payload:\n";
	
	var_dump($payload);
} else {
	echo "Request failed\n";
}
